Subject: bug#25152: 25.1; Customize: errors for `restricted-sexp' in `repeat'

From: Mauro Aranda <[email-masked]>
Date: Sat, 5 Sep 2020 13:53:21 -0300

Drew Adams <[email-masked]> writes:

>> To sum it up, the prompt is an unfortunate mistake, and maybe we could
>> protect against that, but I think the real problem comes from the
>> defcustom, which fails to provide a valid default value.
>
> Thanks for this explanation.  Makes sense.
>
> Can we somehow help users by raising an error when they
> do this?  Seems like a simple mistake to make.

I think it makes sense, but I'm not sure where would be the right place
to do it.